<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:14 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.math.operator.BooleanBinaryOperator
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.math.operator.BooleanBinaryOperator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/class-use/BooleanBinaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BooleanBinaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.math.operator.BooleanBinaryOperator</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array"><B>ch.javasoft.math.array</B></A></TD>
<TD>The <tt>math.array</tt> package and subpackages contain interfaces and classes 
for generic vectors and matrices represented as arrays.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.operator"><B>ch.javasoft.math.operator</B></A></TD>
<TD>The <tt>math.operator</tt> package and subpackages contain interfaces and 
classes to support different generic operators for numbers as defined by the
<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.operator.impl"><B>ch.javasoft.math.operator.impl</B></A></TD>
<TD>The <tt>math.operator.impl</tt> package contains default implementations of the 
<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface for 
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.varint.array"><B>ch.javasoft.math.varint.array</B></A></TD>
<TD>The <tt>math.varint.array</tt> package contains varint support for generic 
vectors and matrices represented as arrays (see <A HREF="../../../../../ch/javasoft/math/array/package-summary.html"><CODE>ch.javasoft.math.array</CODE></A>).&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> that return <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NumberOperators.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the boolean-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isEqual()">isEqual</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isGreater()">isGreater</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isGreaterOrEqual()">isGreaterOrEqual</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isLess()">isLess</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isLessOrEqual()">isLessOrEqual</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isUnequal()">isUnequal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.operator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/operator/package-summary.html">ch.javasoft.math.operator</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/math/operator/package-summary.html">ch.javasoft.math.operator</A> that implement <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/AbstractBooleanBinaryOperator.html" title="class in ch.javasoft.math.operator">AbstractBooleanBinaryOperator&lt;T,A&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>AbstractBooleanBinaryOperator</code> implements 
 <A HREF="../../../../../ch/javasoft/math/operator/AbstractBooleanBinaryOperator.html#operate(T, T)"><CODE>AbstractBooleanBinaryOperator.operate(Object, Object)</CODE></A> and leaves the others methods to the 
 concrete subclasses</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.operator.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A> that return <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>BigIntegerOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>,<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>BigFractionOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigFractionOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>,double[]&gt;</CODE></FONT></TD>
<TD><CODE><B>DoubleOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/DoubleOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.varint.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A> that return <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>VarIntOperators.</B><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/class-use/BooleanBinaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BooleanBinaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
